> For the complete documentation index, see [llms.txt](https://developer.barchart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.barchart.com/market-replay-docs/api-query-types/futures-options-w-aggregate-statistics.md).

# Futures options w/ Aggregate Statistics

Use this endpoint when your account is enabled for futures options aggregate statistics.

## JSON handler:

```
https://marketreplay.barchart.com/historical/futuresoptions/json
```

## What this endpoint returns

This endpoint returns:

* all fields from [Futures options EOD](/market-replay-docs/api-query-types/futures-options-eod.md)
* additional aggregate statistics fields
* one root symbol for one date

The CSV handler returns only the standard end-of-day fields.

The aggregate stats fields are available only from the JSON handler.

## Requirements

Your request must meet all of these conditions:

* your account is enabled for aggregate stats
* your request uses `futuresoptions/json`
* you pass `username`, `password`, `root`, and `date`

`date` uses `YYYY-MM-DD` format.

{% hint style="info" %}
If aggregate stats are not enabled for your account, the JSON response includes only the standard futures options EOD data.
{% endhint %}

## Aggregate stats fields

The JSON aggregate stats response includes every base EOD field plus these fields:

Summaries by Commodity Root:

* `callsVolume`
* `callsOpenInterest`
* `callsWeightedImpVol`
* `putsVolume`
* `putsOpenInterest`
* `putsWeightedImpVol`
* `weightedImpVol`

IV Indices (Constant Maturity)

* `7DayImpVol`
* `14DayImpVol`
* `30DayImpVol`
* `60DayImpVol`
* `90DayImpVol`
* `180DayImpVol`
* `360DayImpVol`

Note, these fields are not included in the CSV version.

## Request example

Use the JSON handler to request aggregate stats:

```
https://marketreplay.barchart.com/historical/futuresoptions/json?username=username&password=password&root=ZC&date=2023-08-16
```

To switch from the base EOD request, change the path from `futuresoptions` to `futuresoptions/json`.

## Aggregate Statistics datasets

### Underlying tenor and expiration-level file

This file provides a summary of futures options activity grouped by the underlying future expiration.

It adds:

* volatility, open interest, and weighted implied volatility by option type
* reference data such as underlying price and interest rates
* a combined weighted implied volatility across calls and puts

Use this dataset for volatility analysis, quantitative modeling, and expiration-level monitoring.

Update interval:

* Once per trading session, after final settlement prices are published

### Root-level and implied volatility indices file

This file provides an end-of-day summary of options activity at the root level.

It includes:

* Root-level statistics such as volume, open interest, and weighted implied volatility by option type
* Constant-maturity implied volatility indices for `7`, `14`, `30`, `60`, `90`, `180`, and `360` days

The implied volatility indices use a linear weighting of the two nearest active expirations around the target maturity.

Use this dataset for volatility analysis, risk modeling, and macro-level monitoring across commodity markets.

Update interval:

* once per trading day after official final settlement prices are received from each exchange

{% hint style="info" %}
For calculation methodology, refer to the Market Replay Futures Options Technical Documentation.
{% endhint %}

## Related

* [Futures options EOD](/market-replay-docs/api-query-types/futures-options-eod.md)
* [Response formats](/market-replay-docs/reference/response-formats.md)
* [Query parameter cheat sheet](/market-replay-docs/reference/query-parameter-cheat-sheet.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.barchart.com/market-replay-docs/api-query-types/futures-options-w-aggregate-statistics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
